// T H E   M I R R O R   F M
// C U S T O M   S C H E M A S


//AMBIENTS

//The hall of the ***Mirror

schema hothall
archetype AMB_MIRROR
mono_loop 0 0
volume -1000
ratatouille

//Damaged cable sound
schema e_static
archetype AMB_MIRROR
poly_loop 2 500 500
volume -1000
static1 freq 2
static1 freq 2
static2 freq 1

//Inn room theme
schema innroom
archetype AMB_MIRROR
volume -600
newobj

//Amber room theme
schema g_beet
archetype AMB_MIRROR
volume -1000
mono_loop 0 0
beetgold

//Prisoner theme
schema pris_mus
archetype AMB_MIRROR
volume -500
prisoner

//Glaziers' theme
schema gla_mus
archetype AMB_MIRROR
volume -1500
mono_loop 0 0
forceful

//Drunk guard is going home
schema drunk_mus
archetype AMB_MIRROR
addio

//Sabotage in armoury
schema arm_sab
archetype AMB_MIRROR
armoury

//Breaking safe music
schema safe_break
archetype AMB_MIRROR
safe

//Harp concert
schema harp_dnc
archetype AMB_MIRROR
play_once
app

//Frob's house

schema FrobMain
archetype AMB_mirror
poly_loop 2 2000 8000
no_repeat
volume -1000
btrem1 btrem1 btrem2 btrem3 btrem4 btrem5
trem___3 trem___4 trem___5 trem___6
fb3 m17pizz
m17a1 m17a2 m17a3 m17a4 m17a5 m17a6
str1 str2 str3 str4

//Frob's basement
schema FrobBase
archetype AMB_mirror
poly_loop 8000 12000
no_repeat
volume -1000
m02bs2a m02bs2a m02bs2b m02bs2c

//Frob's basement background
schema FrobBas1
archetype AMB_mirror
mono_loop 0 0
volume -3000
m02bs1

//Frob's 2d basement
schema FrobBas2
archetype AMB_mirror
mono_loop 2000 2000
volume -1000
tension1

//Alchemist's theme
schema alchmus
archetype AMB_mirror
mono_loop 0 0
volume -1200
m05loop2

//Birds
schema birds
archetype AMB_mirror
delay 3000
poly_loop 2 4000 10000
pan_range 2000
volume -2500
bird1 bird2 bird3

//Clegg's basement
schema CleggBs
archetype AMB_mirror
mono_loop 0 0
volume -2000
pulse

//Clegg's cellar maze
schema CleggCl
archetype AMB_mirror
poly_loop 2 5000 8000
no_repeat
volume -1000
pitch1 pitch1 pitch2 pitch3

//Clegg's theme
schema Clegg_mus
archetype AMB_MIRROR
volume -2000
mono_loop 0 0
w3

//Hungry Haunt
schema bar
archetype AMB_M02
mono_loop 0 0
volume -1500
crowdbar

//Steampuff
schema steam_pff
archetype AMB_MIRROR
mono_loop 0 0
volume -1000
puff1 puff2

//Main Office
schema Office
archetype AMB_MIRROR
mono_loop 0 0
volume -2500
l2_base1

//Eating Rat
schema Rat_e
archetype AMB_MIRROR
mono_loop 0 0
volume -1000
rateat

//SFX

schema gotodream //Frobbing the mirror in 606th room
archetype AMB_MIRROR
volume -1000
MirrorTrip

schema genexplode //Destroying of generator
archetype AMB_MIRROR
volume -1
bigboom

schema KnockDoor //Knocking door in the inn
archetype AMB_MIRROR
knockdoor

schema pris_death //Prisoner's death
archetype AMB_MIRROR
prisdeath

schema light_on //High tension
archetype AMB_MIRROR
play_once
ftfx

schema on_duty //Snoring guard
archetype AI_NONE
volume -500
mono_loop 2000 3000
sg2a0sn1 sg2a0sn1 sg2a0sn2 sg2a0sn3 sg2a0sn4 //The 1st file is repeated because of the engine bug.

schema hatch_op //Open hatch
archetype AMB_MIRROR
d_woods2

schema no_ko //No knockout self-warning
archetype AMB_MIRROR
play_once
noko

schema glass_1 //Taking glasscutter
archetype AMB_MIRROR
play_once
glasscutter

schema glass_2 //Taking glasscutter
archetype AMB_MIRROR
play_once
glasscutter

schema glass_3 //Taking glasscutter
archetype AMB_MIRROR
play_once
glasscutter

schema glass_4 //Finding Frob's suit
archetype AMB_MIRROR
play_once
glasscutter

schema dress //Taking Glazier's suit
archetype AMB_MIRROR
bj_begin

schema mold_1 //Placing mold
archetype AMB_MIRROR
play_once
hmetmet2

schema mold_3 //Opening mold
archetype AMB_MIRROR
play_once
LVMOLD1

schema mold_2 //Filling mold
archetype AMB_MIRROR
play_once
LVCAULD1

schema FS //Found secret - manually
archetype AMB_MIRROR
newobj2

schema unhappy //Unhappy end
archetype AMB_MIRROR
play_once
oooh

schema hmm //Opening door 909
archetype AMB_MIRROR
play_once
hmm

schema smile //Comment to 909>606
archetype AMB_MIRROR
play_once
heh

schema easter //Easter egg FX
archetype AMB_MIRROR
play_once
east

schema m_hatch //Opening maintenance hatch
archetype AMB_MIRROR
play_once
d_manh1s

schema corp_corp //Corporal falls
archetype AMB_MIRROR
play_once
corp

//CONVERSATIONS

//Receptionist

schema rec_1
archetype AI_NONE
rec1
schema_voice vserv1 1 rec_conv (LineNo 1 1)

schema rec_2
archetype AI_NONE
rec2
schema_voice vserv1 1 rec_conv (LineNo 2 2)

schema rec_3
archetype AI_NONE
rec3
schema_voice vserv1 1 rec_conv (LineNo 3 3)

schema spec1 //player's voice
archetype AMB_MIRROR
spec1

schema spec2 //player's voice
archetype AMB_MIRROR
spec2

//Getting the mirror objective

schema s_dream //player's voice
archetype AMB_MIRROR
sdream

schema obj_01 //player's voice
archetype AMB_MIRROR
obj01

schema obj_02
archetype AI_NONE
obj02
schema_voice vextra2 1 obj_conv (LineNo 1 1)

schema obj_03
archetype AI_NONE
obj03
schema_voice vextra2 1 obj_conv (LineNo 2 2)

schema obj_04
archetype AI_NONE
obj04
schema_voice vextra2 1 obj_conv (LineNo 3 3)

schema obj_05 //player's voice
archetype AMB_MIRROR
obj05

schema obj_06
archetype AI_NONE
obj06
schema_voice vextra2 1 obj_conv (LineNo 4 4)

schema obj_07 //player's voice
archetype AMB_MIRROR
obj07

schema obj_08
archetype AI_NONE
obj08
schema_voice vextra2 1 obj_conv (LineNo 5 5)

schema obj_09 //player's voice
archetype AMB_MIRROR
obj09

schema obj_10
archetype AI_NONE
obj10
schema_voice vextra2 1 obj_conv (LineNo 6 6)

schema obj_11 //player's voice
archetype AMB_MIRROR
obj11

schema obj_12
archetype AI_NONE
obj12
schema_voice vextra2 1 obj_conv (LineNo 7 7)

schema obj_13 //player's voice
archetype AMB_MIRROR
obj13

schema obj_14
archetype AI_NONE
obj14
schema_voice vextra2 1 obj_conv (LineNo 8 8)

schema obj_15 //player's voice
archetype AMB_MIRROR
obj15

schema obj_16
archetype AI_NONE
obj16
schema_voice vextra2 1 obj_conv (LineNo 9 9)

schema obj_18 //custom's voice
archetype AMB_MIRROR
obj18

schema obj_17 //custom's voice
archetype AMB_MIRROR
obj17

schema stop_conv
archetype AI_NONE
stopconv
schema_voice vextra2 1 obj_con2 (LineNo 1 1)

//Hungry haunt inn

schema hun_hau
archetype AI_NONE
hhaunt
schema_voice vserv1 1 h_haunt (LineNo 1 1)

//Pass conversations

schema no_p1
archetype AI_NONE
nopass1
schema_voice vhammer0 1 no_pass (LineNo 1 1)

schema no_p2
archetype AI_NONE
pass3
schema_voice vhammer0 1 no_pass (LineNo 2 2)

schema no_p3
archetype AI_NONE
passdown1
schema_voice vhammer0 1 no_pass (LineNo 3 3)

schema no_p4
archetype AI_NONE
passdown3
schema_voice vhammer0 1 no_pass (LineNo 4 4)

schema no_p5
archetype AI_NONE
pass4
schema_voice vhammer0 1 no_pass (LineNo 5 5)

schema no_pass2 //player's voice
archetype AMB_MIRROR
nopass2

schema pass_2 //player's voice
archetype AMB_MIRROR
pass2

schema pass_down //player's voice
archetype AMB_MIRROR
passdown2

//Ghosts in Amber chamber

schema gh1_1
archetype AI_NONE
ghost1
schema_voice frobg 1 ghost_1 (LineNo 1 1)

schema gh1_2
archetype AI_NONE
ghost2 schema_voice gg 1 ghost_1 (LineNo 2 2)

schema gh1_3
archetype AI_NONE
ghost3
schema_voice frobg 1 ghost_1 (LineNo 3 3)

schema frob_kill //final SFX
archetype AMB_MIRROR
frobkill

//Glaziers' experiment

schema tort_1
archetype AI_NONE
tort1
schema_voice gleiz1 1 tort_conv (LineNo 1 1)

schema tort_2
archetype AI_NONE
tort2
schema_voice gleiz1 1 tort_conv (LineNo 2 2)

schema tort_3
archetype AI_NONE
tort3
schema_voice gleiz2 1 tort_conv (LineNo 3 3)

//Drunk guard

schema dr_guard1
archetype AI_NONE
sg2a3na8
schema_voice vdrunk1 1 dr_guard (LineNo 1 1)

schema dr_guard2
archetype AI_NONE
sg2diec1
schema_voice vdrunk1 1 dr_guard (LineNo 2 2)

schema dr_guard3
archetype AI_NONE
sg2los_5
schema_voice vdrunk1 1 dr_guard (LineNo 3 3)

//Short guards' script scenes

schema ps_1 //Pissing guard
archetype AI_NONE
wfaucet
schema_voice vguard1 1 ps_guard (LineNo 1 1)

schema aa_oh //Scaring guards
archetype AI_NONE
aa
schema_voice vguard1 1 aa_guard (LineNo 1 1)

schema aa_oh1
archetype AI_NONE
oh
schema_voice vguard1 1 aa_guard (LineNo 2 2)

//End of file